## PDC Set Selected Config indication

PDC Set Selected Config indication

## Functions

QmiIndicationPdcSetSelectedConfigOutput * | qmi_indication_pdc_set_selected_config_output_ref ()
void | qmi_indication_pdc_set_selected_config_output_unref ()
gboolean | qmi_indication_pdc_set_selected_config_output_get_token ()
gboolean | qmi_indication_pdc_set_selected_config_output_get_indication_result ()

## Types and Values

| QmiIndicationPdcSetSelectedConfigOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationPdcSetSelectedConfigOutput

## Description

## Functions

### qmi_indication_pdc_set_selected_config_output_ref ()

    QmiIndicationPdcSetSelectedConfigOutput *
    qmi_indication_pdc_set_selected_config_output_ref
                                   (QmiIndicationPdcSetSelectedConfigOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationPdcSetSelectedConfigOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_indication_pdc_set_selected_config_output_unref ()

    void
    qmi_indication_pdc_set_selected_config_output_unref
                                   (QmiIndicationPdcSetSelectedConfigOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationPdcSetSelectedConfigOutput. |

Since: 1.18

### qmi_indication_pdc_set_selected_config_output_get_token ()

    gboolean
    qmi_indication_pdc_set_selected_config_output_get_token
                                   (QmiIndicationPdcSetSelectedConfigOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiIndicationPdcSetSelectedConfigOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_pdc_set_selected_config_output_get_indication_result ()

    gboolean
    qmi_indication_pdc_set_selected_config_output_get_indication_result
                                   (QmiIndicationPdcSetSelectedConfigOutput *self,
                                    guint16 *value_indication_result,
                                    GError **error);

Get the 'Indication Result' field from `self` .

#### Parameters

self | a QmiIndicationPdcSetSelectedConfigOutput. |
value_indication_result | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

## Types and Values

### QmiIndicationPdcSetSelectedConfigOutput

    typedef struct _QmiIndicationPdcSetSelectedConfigOutput QmiIndicationPdcSetSelectedConfigOutput;

The QmiIndicationPdcSetSelectedConfigOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18